Skills technical requirements

Articles

Recommended browsers and operating systems for Skills
To use Pluralsight Skills and watch Skills videos, we recommend using the following browsers and applications. Please be sure to be on the latest version of both your operating system and your browser: Windows 8.1, 10, and 11; and macOS: Microsof...
Firewall and mail server configuration for Skills
Follow these steps to configure your company's firewall and mail servers to ensure your users can access Pluralsight Skills. In this article Email Web Video content Hands-on learning Flow Email Please make certain you co...
Errors when trying to access Pluralsight
Your Pluralsight subscription is for your personal use only. However, you can log in from any Internet-connected device without logging out from other devices. If you're experiencing general issues with your Pluralsight account, try these troub...
Reporting a bug on the Pluralsight platform
If you come across a potential bug on Pluralsight, please reach out to our support team using the link below. If possible, please include a screenshot, description, and the URL to the specific page so we can take a look. Note: We do not have a ...
Invalid certificate warning
If your browser gives you a warning that the Pluralsight certificate is invalid, the two most common reasons this may happen are: The clock on your machine is way off (e.g. the year is wrong). Check the time on your device and make sure it&rsqu...